C******************** START FILE IXUOPC.FOR ; GROUP URDUTS ******************
C----------------------------------------------------------
C&  IXUOPC  UREAD INTEGER FCN MATCH 1ST CHAR OF TYPEAHEAD BUFFER
C    NEW D. MC CUNE 81 MAY
C
C  ACCEPT A SEQUENCE OF CHARACTERS TERMINATED BY A "$"
C  FIND FIRST NON-BLANK CHARACTER IN INPUT BUFFER DBUFF
C  RETURN IXUOPC=0 IF INPUT BUFFER CHARACTER NOT FOUND IN INPUT STRING
C  RETURN IXUOPC=J IF BUFFER CHAR MATCHES JTH CHARACTER IN PASSED
C  STRING
C
C  INPUT STRING:  ZSTRING
C
      INTEGER FUNCTION IXUOPC(ZSTRNG)
C
      USE USERIO
C
      CHARACTER*(*) ZSTRNG
C
      CHARACTER*1 ZCHAR
C
      CALL URCHAR(ZCHAR,1,ID,IER)
C
      IF(IER.EQ.0) THEN
        IXUOPC=JXUOPC(ZSTRNG,ZCHAR)
      ELSE
        IXUOPC=0
      ENDIF
C
      IF(IXUOPC.NE.0) CALL UROTOR(ID)
C
      RETURN
      END
C******************** END FILE IXUOPC.FOR ; GROUP URDUTS ******************
